Subject: [Cfrg] Two questions on Curve25519 and HMQV

From: "Jim Schaad" <[email-masked]>
Date: Thu, 30 Jun 2016 20:57:42 -0700

In the process of getting an analysis of what the implications of the PKIX
encoding for the Curve25519 and Curve448 curves are the following questions
have arisen:

1.  Are there any known implications of using the same key pair for both
ECDH and ECDH-HMQV?  I know that there are some security considerations in
terms of using ECDH-MQV.

2.  Are there any known issues for using the 25519 and 448 curves with HMQV
that would need to be called out?  From my simplistic view of the world, I
don't see anything that is a problem bug I cannot be sure.

Jim